%define verstring 20080331

Name:           netstiff
Version:        0
Release:        0.1.%{verstring}%{?dist}
Summary:        A powerful Web and FTP site update checker
Group:          Applications/Internet
License:        GPLv3+
URL:            http://pkqs.net/~sbeyer/#netstiff
Source:         http://pkqs.net/~sbeyer/tools/%{name}/%{name}_%{verstring}.orig.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
netstiff (formerly known as webdiff) is a powerful Web and FTP site
update checker. It supports a variety of different methods (diff, html,
size, date, MD5 sum, regexp) to check for updates. There are also
sophisticated settings to make it useful for partly dynamic Web pages.
Without any given arguments, netstiff will either run its interactive
configuration tool or check your sites for updates and print the changes
in a diff(1)-like manner.

%prep
%setup -q -n %{name}_%{verstring}

%build

%install
%{__rm} -rf %{buildroot}

%{__install} -d 0755 %{buildroot}%{_bindir}
%{__install} -d 0755 %{buildroot}%{_mandir}/man1

%{__install} -m 0755 %{name} %{buildroot}%{_bindir}/
%{__install} -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE THANKSTO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Jul  2 2008 Ray Van Dolson <rayvd@fedoraproject.org> - 0-0.1.20080331
- Initial package
